2 Replies Latest reply: Jun 22, 2012 4:59 AM by faizan ansar
faizan ansar Level 1 Level 1 (0 points)

hi there im unable to update or restore my ipad 1 to ios 5.1.1 it says my device is not eligible for the requested build. i have the latest version of itunes and my current ios is 5.0.1

 

can anyone help please?


iPad